print('czytam plik...')
with open('pan_tadeusz.txt', mode='r', encoding='utf-8') as wejscie:
    linie = wejscie.readlines()

print('plik odczytany, liczba linii:', len(linie))

print('poprawiam...')
# do nowej listy pakuję tylko te linie, które nie zawierają wyłącznie "białych znaków", przy okazji usuwając wcięcia od lewej strony
linie = [l.lstrip() for l in linie if not l.isspace()]

print('sortuję...')
import locale
locale.setlocale(locale.LC_COLLATE, '')
linie.sort(key=locale.strxfrm)

print('zapisuję plik...')
with open('posortowany.txt', mode='w', encoding='utf-8') as wyjscie:
    wyjscie.writelines(linie)

print('Gotowe!')
